Erreur: Couldn't load plugins

D4rkeuse

Massacreur de zombies
10 Mai 2015
17
0
62
40
Bonjour, je sais pas trop si je suis au bon endroit donc je m'excuse d'avance.

Hier j'ai repris une backup d'un serveur que j'ai fais il y'a 1an, evidemment les plugins n'étant pas a jour, j'ai commencer à les mettre à jour.
C'est là qu'est apparu une erreur, que je trouve sur plusieurs des plugins.


Code:
> [12:42:19 ERROR]: Could not load 'plugins/SimplePets.jar' in folder 'plugins'
org.bukkit.plugin.InvalidDescriptionException: Invalid plugin.yml
at org.bukkit.plugin.java.JavaPluginLoader.getPluginDescription(JavaPluginLoader.java:162) ~[spigot1.12.2.jar:git-Spigot-e8ded36-acbc348]
at org.bukkit.plugin.SimplePluginManager.loadPlugins(SimplePluginManager.java:133) [spigot1.12.2.jar:git-Spigot-e8ded36-acbc348]
at org.bukkit.craftbukkit.v1_12_R1.CraftServer.loadPlugins(CraftServer.java:305) [spigot1.12.2.jar:git-Spigot-e8ded36-acbc348]
at org.bukkit.craftbukkit.v1_12_R1.CraftServer.reload(CraftServer.java:750) [spigot1.12.2.jar:git-Spigot-e8ded36-acbc348]
at org.bukkit.Bukkit.reload(Bukkit.java:525) [spigot1.12.2.jar:git-Spigot-e8ded36-acbc348]
at org.bukkit.command.defaults.ReloadCommand.execute(ReloadCommand.java:27) [spigot1.12.2.jar:git-Spigot-e8ded36-acbc348]
at org.bukkit.command.SimpleCommandMap.dispatch(SimpleCommandMap.java:141) [spigot1.12.2.jar:git-Spigot-e8ded36-acbc348]
at org.bukkit.craftbukkit.v1_12_R1.CraftServer.dispatchCommand(CraftServer.java:648) [spigot1.12.2.jar:git-Spigot-e8ded36-acbc348]
at net.minecraft.server.v1_12_R1.PlayerConnection.handleCommand(PlayerConnection.java:1401) [spigot1.12.2.jar:git-Spigot-e8ded36-acbc348]
at net.minecraft.server.v1_12_R1.PlayerConnection.a(PlayerConnection.java:1236) [spigot1.12.2.jar:git-Spigot-e8ded36-acbc348]
at net.minecraft.server.v1_12_R1.PacketPlayInChat.a(PacketPlayInChat.java:45) [spigot1.12.2.jar:git-Spigot-e8ded36-acbc348]
at net.minecraft.server.v1_12_R1.PacketPlayInChat.a(PacketPlayInChat.java:1) [spigot1.12.2.jar:git-Spigot-e8ded36-acbc348]
at net.minecraft.server.v1_12_R1.PlayerConnectionUtils$1.run(SourceFile:13) [spigot1.12.2.jar:git-Spigot-e8ded36-acbc348]
at java.util.concurrent.Executors$RunnableAdapter.call(Executors.java:511) [?:1.8.0_212]
at java.util.concurrent.FutureTask.run(FutureTask.java:266) [?:1.8.0_212]
at net.minecraft.server.v1_12_R1.SystemUtils.a(SourceFile:46) [spigot1.12.2.jar:git-Spigot-e8ded36-acbc348]
at net.minecraft.server.v1_12_R1.MinecraftServer.D(MinecraftServer.java:748) [spigot1.12.2.jar:git-Spigot-e8ded36-acbc348]
at net.minecraft.server.v1_12_R1.DedicatedServer.D(DedicatedServer.java:406) [spigot1.12.2.jar:git-Spigot-e8ded36-acbc348]
at net.minecraft.server.v1_12_R1.MinecraftServer.C(MinecraftServer.java:679) [spigot1.12.2.jar:git-Spigot-e8ded36-acbc348]
at net.minecraft.server.v1_12_R1.MinecraftServer.run(MinecraftServer.java:577) [spigot1.12.2.jar:git-Spigot-e8ded36-acbc348]
at java.lang.Thread.run(Thread.java:748) [?:1.8.0_212]
Caused by: org.yaml.snakeyaml.error.YAMLException: java.util.zip.ZipException: invalid LOC header (bad signature)
at org.yaml.snakeyaml.reader.StreamReader.update(StreamReader.java:254) ~[spigot1.12.2.jar:git-Spigot-e8ded36-acbc348]
at org.yaml.snakeyaml.reader.StreamReader.<init>(StreamReader.java:58) ~[spigot1.12.2.jar:git-Spigot-e8ded36-acbc348]
at org.yaml.snakeyaml.Yaml.load(Yaml.java:452) ~[spigot1.12.2.jar:git-Spigot-e8ded36-acbc348]
at org.bukkit.plugin.PluginDescriptionFile.<init>(PluginDescriptionFile.java:228) ~[spigot1.12.2.jar:git-Spigot-e8ded36-acbc348]
at org.bukkit.plugin.java.JavaPluginLoader.getPluginDescription(JavaPluginLoader.java:157) ~[spigot1.12.2.jar:git-Spigot-e8ded36-acbc348]
... 20 more
Caused by: java.util.zip.ZipException: invalid LOC header (bad signature)
at java.util.zip.ZipFile.read(Native Method) ~[?:1.8.0_212]
at java.util.zip.ZipFile.access$1400(ZipFile.java:60) ~[?:1.8.0_212]
at java.util.zip.ZipFile$ZipFileInputStream.read(ZipFile.java:734) ~[?:1.8.0_212]
at java.util.zip.ZipFile$ZipFileInflaterInputStream.fill(ZipFile.java:434) ~[?:1.8.0_212]
at java.util.zip.InflaterInputStream.read(InflaterInputStream.java:158) ~[?:1.8.0_212]
at java.io.FilterInputStream.read(FilterInputStream.java:133) ~[?:1.8.0_212]
at java.io.PushbackInputStream.read(PushbackInputStream.java:186) ~[?:1.8.0_212]
at org.yaml.snakeyaml.reader.UnicodeReader.init(UnicodeReader.java:92) ~[spigot1.12.2.jar:git-Spigot-e8ded36-acbc348]
at org.yaml.snakeyaml.reader.UnicodeReader.read(UnicodeReader.java:124) ~[spigot1.12.2.jar:git-Spigot-e8ded36-acbc348]
at org.yaml.snakeyaml.reader.StreamReader.update(StreamReader.java:223) ~[spigot1.12.2.jar:git-Spigot-e8ded36-acbc348]
at org.yaml.snakeyaml.reader.StreamReader.<init>(StreamReader.java:58) ~[spigot1.12.2.jar:git-Spigot-e8ded36-acbc348]
at org.yaml.snakeyaml.Yaml.load(Yaml.java:452) ~[spigot1.12.2.jar:git-Spigot-e8ded36-acbc348]
at org.bukkit.plugin.PluginDescriptionFile.<init>(PluginDescriptionFile.java:228) ~[spigot1.12.2.jar:git-Spigot-e8ded36-acbc348]
at org.bukkit.plugin.java.JavaPluginLoader.getPluginDescription(JavaPluginLoader.java:157) ~[spigot1.12.2.jar:git-Spigot-e8ded36-acbc348]
... 20 more
Je ne trouve pas la cause de l'erreur, surtout quel apparait pour plusieurs plugins.
Merci d'avance!
 

QuenK_

Tondeur de moutons
31 Octobre 2017
38
2
19
19
[12:42:19 ERROR]: Could not load 'plugins/SimplePets.jar' in folder 'plugins'
org.bukkit.plugin.InvalidDescriptionException: Invalid plugin.yml

envoi le lien spigot de ton plugin pls